package org.jpos.util;

import java.util.Arrays;

import junit.framework.TestCase;

import org.apache.commons.lang.ArrayUtils;
import org.jpos.iso.ISOBinaryField;

/**
 * $Revision: 23416 $
 * $Date: 2007-03-14 00:14:09 +0000 (Wed, 14 Mar 2007) $
 * $Author: nsmith $
 */
public final class ISOBinaryFieldEqualityTester {

    private ISOBinaryFieldEqualityTester() {
    }
    
    public static void assertEquals(ISOBinaryField first, ISOBinaryField second) {
        TestCase.assertEquals(first.getKey(), second.getKey());
        TestCase.assertTrue("Expected " + ArrayUtils.toString(first.getBytes()) + " but got " + ArrayUtils.toString(first.getBytes()), 
                            Arrays.equals(first.getBytes(), second.getBytes()));
    }
    
    public static void assertNotEquals(ISOBinaryField first, ISOBinaryField second) {
        TestCase.assertFalse("Expected [" + first.getKey() + "] to be not equal to [" + second.getKey() + "]", first.getKey().equals(second.getKey()));
        TestCase.assertFalse("Expected " + ArrayUtils.toString(first.getBytes()) + "] to be not equal to [" + ArrayUtils.toString(second.getBytes())  + "]", 
                             Arrays.equals(first.getBytes(), second.getBytes()));
    }
}

