package org.jpos.util;

import junit.framework.TestCase;

import org.jpos.iso.ISOComponent;
import org.jpos.iso.ISOException;

/**
 * $Revision: 23416 $
 * $Date: 2007-03-14 00:14:09 +0000 (Wed, 14 Mar 2007) $
 * $Author: nsmith $
 */
public final class ISOComponentEqualityTester {

    private ISOComponentEqualityTester() {
    }

    public static void assertEquals(ISOComponent first, ISOComponent second) {
        try {
            TestCase.assertEquals(first.getKey(), second.getKey());
            TestCase.assertEquals(first.getValue(), second.getValue());
        } catch (ISOException e) {
            throw new RuntimeException(e.getMessage());
        }
    }

    public static void assertNotEquals(ISOComponent first, ISOComponent second) {
        try {
            TestCase.assertFalse("Expected [" + first.getKey() + "] to be not equal to [" + second.getKey() + "]", first.getKey().equals(second.getKey()));
            TestCase.assertFalse("Expected [" + first.getValue() + "] to be not equal to [" + second.getValue() + "]", first.getValue().equals(second.getValue()));
        } catch (ISOException e) {
            throw new RuntimeException(e.getMessage());
        }
    }

}

